Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.plugins
Class DefaultPluginRegistry

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.plugins.DefaultPluginCollection
                  org.gradle.api.internal.plugins.AbstractPluginContainer
                      org.gradle.api.internal.plugins.DefaultPluginRegistry

All Implemented Interfaces:
  PluginRegistry

    class DefaultPluginRegistry
    extends AbstractPluginContainer

author:
  Hans Dockter

Constructor Summary
`DefaultPluginRegistry()`
`DefaultPluginRegistry(File pluginProperties)`

Method Summary
`java.lang.String` | `getIdForType(java.lang.Class type)`
`java.lang.String` | `getNameForType(java.lang.Class type)`
`java.lang.Class` | `getTypeForId(java.lang.String pluginId)`
`Plugin` | `loadPlugin(java.lang.String pluginId)`
`T` | `loadPlugin(java.lang.Class pluginClass)`

Methods inherited from class AbstractPluginContainer
addPlugin, addPlugin, addPluginInternal, findPlugin, findPlugin, getNameForType, getTypeForId, hasPlugin, hasPlugin

Methods inherited from class DefaultPluginCollection
allPlugins, allPlugins, matching, whenPluginAdded, whenPluginAdded, withType

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultPluginRegistry

    public DefaultPluginRegistry()

### DefaultPluginRegistry

    public DefaultPluginRegistry(File pluginProperties)

Method Detail

### getIdForType

    public java.lang.String getIdForType(java.lang.Class type)

### getNameForType

    public java.lang.String getNameForType(java.lang.Class type)

### getTypeForId

    public java.lang.Class getTypeForId(java.lang.String pluginId)

### loadPlugin

    public Plugin loadPlugin(java.lang.String pluginId)

### loadPlugin

    public T loadPlugin(java.lang.Class pluginClass)

Groovy Documentation